Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezaddress/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6204 2001-07-19 12:06:56Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 //print $REQUEST_URI;
28
29 // include_once( "classes/ezuritool.php" );
30
31 $ListType = $url_array[2];
32
33
34 $url_array = eZURITool::split( $_SERVER['REQUEST_URI'] );
35 // $url_array = explode( "/", $_SERVER['REQUEST_URI'] );
36 $url_array_count = count( $url_array );
37
38 for( $i = $url_array_count; $i <= 25; $i++ )
39 {
40 $url_array[$i] = false;
41 }
42
43 switch ( $ListType )
44 {
45 case "phonetype":
46 {
47 $PhoneTypeID = $url_array[4];
48 $Action = $url_array[3];
49 switch( $Action )
50 {
51 // intentional fall through
52 case "new":
53 case "edit":
54 case "update":
55 case "insert":
56 case "up":
57 case "down":
58 {
59 include( "kernel/ezaddress/admin/phonetypeedit.php" );
60 break;
61 }
62 case "list":
63 {
64 if ( is_numeric( $url_array[4] ) )
65 $Index = $url_array[4];
66 else
67 $Index = false;
68 include( "kernel/ezaddress/admin/phonetypelist.php" );
69 break;
70 }
71 case "search":
72 {
73 if ( is_numeric( $url_array[4] ) )
74 $Index = $url_array[4];
75 if ( count( $url_array ) >= 5 && !isset( $SearchText ) )
76 {
77 $SearchText = $url_array[5];
78 $SearchText = eZURITool::decode( $SearchText );
79 }
80 include( "kernel/ezaddress/admin/phonetypelist.php" );
81 break;
82 }
83 default:
84 {
85 // include_once( "classes/ezhttptool.php" );
86 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
87 break;
88 }
89 }
90 break;
91 }
92
93 case "addresstype":
94 {
95 if( isset( $url_array[4] ) )
96 $AddressTypeID = $url_array[4];
97 else
98 $AddressTypeID = false;
99 $Action = $url_array[3];
100 switch( $url_array[3] )
101 {
102 // intentional fall through
103 case "new":
104 case "edit":
105 case "update":
106 case "insert":
107 case "up":
108 case "down":
109 {
110 include( "kernel/ezaddress/admin/addresstypeedit.php" );
111 break;
112 }
113 case "list":
114 {
115 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
116 $Index = $url_array[4];
117 else
118 $Index = false;
119 include( "kernel/ezaddress/admin/addresstypelist.php" );
120 break;
121 }
122 case "search":
123 {
124 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
125 $Index = $url_array[4];
126 else
127 $Index = false;
128 if ( count( $url_array ) >= 5 && !isset( $SearchText ) )
129 {
130 $SearchText = $url_array[5];
131 $SearchText = eZURITool::decode( $SearchText );
132 }
133 include( "kernel/ezaddress/admin/addresstypelist.php" );
134 break;
135 }
136 default:
137 {
138 // include_once( "classes/ezhttptool.php" );
139 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
140 break;
141 }
142 }
143 break;
144 }
145
146 case "onlinetype":
147 {
148 $Action = $url_array[3];
149 if( isset( $url_array[4] ) )
150 $OnlineTypeID = $url_array[4];
151 else
152 $OnlineTypeID = false;
153
154 switch( $Action )
155 {
156 // intentional fall through
157 case "new":
158 case "edit":
159 case "update":
160 case "insert":
161 case "up":
162 case "down":
163 {
164 include( "kernel/ezaddress/admin/onlinetypeedit.php" );
165 break;
166 }
167 case "list":
168 {
169 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
170 $Index = $url_array[4];
171 else
172 $Index = false;
173 include( "kernel/ezaddress/admin/onlinetypelist.php" );
174 break;
175 }
176 case "search":
177 {
178 if ( is_numeric( $url_array[4] ) )
179 $Index = $url_array[4];
180 if ( count( $url_array ) >= 5 && !isset( $SearchText ) )
181 {
182 $SearchText = $url_array[5];
183 $SearchText = eZURITool::decode( $SearchText );
184 }
185 include( "kernel/ezaddress/admin/onlinetypelist.php" );
186 break;
187 }
188 default:
189 {
190 // include_once( "classes/ezhttptool.php" );
191 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
192 break;
193 }
194 }
195 break;
196 }
197
198 case "country":
199 {
200 if( isset( $url_array[4] ) )
201 $CountryID = $url_array[4];
202 else
203 $CountryID = false;
204
205 $Action = $url_array[3];
206 switch ( $Action )
207 {
208 // intentional fall through
209 case "new":
210 case "edit":
211 case "update":
212 case "insert":
213 case "up":
214 case "down":
215 {
216 include( "kernel/ezaddress/admin/countryedit.php" );
217 break;
218 }
219 case "list":
220 {
221 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
222 $Index = $url_array[4];
223 else
224 $Index = false;
225 include( "kernel/ezaddress/admin/countrylist.php" );
226 break;
227 }
228 case "search":
229 {
230 if ( is_numeric( $url_array[4] ) )
231 $Index = $url_array[4];
232 if ( count( $url_array ) >= 5 && !isset( $SearchText ) )
233 {
234 $SearchText = $url_array[5];
235 $SearchText = eZURITool::decode( $SearchText );
236 }
237 include( "kernel/ezaddress/admin/countrylist.php" );
238 break;
239 }
240
241 default:
242 {
243 // include_once( "classes/ezhttptool.php" );
244 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
245 break;
246 }
247 }
248 break;
249 }
250
251 case "region":
252 {
253 $RegionID = $url_array[4];
254 $Action = $url_array[3];
255 switch ( $Action )
256 {
257 // intentional fall through
258 case "new":
259 case "edit":
260 case "update":
261 case "insert":
262 case "up":
263 case "down":
264 {
265 include( "kernel/ezaddress/admin/regionedit.php" );
266 break;
267 }
268 case "list":
269 {
270 if ( is_numeric( $url_array[4] ) )
271 $Index = $url_array[4];
272 include( "kernel/ezaddress/admin/regionlist.php" );
273 break;
274 }
275 case "search":
276 {
277 if ( is_numeric( $url_array[4] ) )
278 $Index = $url_array[4];
279 if ( count( $url_array ) >= 5 && !isset( $SearchText ) )
280 {
281 $SearchText = $url_array[5];
282 $SearchText = eZURITool::decode( $SearchText );
283 }
284 include( "kernel/ezaddress/admin/regionlist.php" );
285 break;
286 }
287
288 default:
289 {
290 // include_once( "classes/ezhttptool.php" );
291 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
292 break;
293 }
294 }
295 break;
296 }
297
298 case "error":
299 {
300 include( "kernel/ezaddress/admin/error.php" );
301 break;
302 }
303
304 default :
305 // include_once( "classes/ezhttptool.php" );
306 eZHTTPTool::header( "Location: /address/error?Type=404&Uri=$REQUEST_URI&Query=$QUERY_STRING&BackUrl=$HTTP_REFERER" );
307 break;
308 }
309
310 ?>
$i
$i
Definition: admin/adlist.php:91
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZURITool\decode
static & decode(&$text)
Definition: ezuritool.php:81
eZURITool\split
static & split(&$uri)
Definition: ezuritool.php:58
$Action
$Action
Definition: companysearch.php:80
$Index
$Index
Definition: eZPBINIFile.php:499
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$ListType
$ListType
Definition: ezaddress/admin/datasupplier.php:31
$url_array_count
$url_array_count
Definition: ezaddress/admin/datasupplier.php:36
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.